/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var ids = ko.observableArray([]),
        currentCategory = ko.observable({}),
        opened = ko.observable(false);

    return {
        ids: ids,
        currentCategory: currentCategory,
        opened: opened
    };
});
